aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorrhaas <rhaas@091d3ff0-52bc-4db5-b7a6-18201e4c0cca>2014-02-12 23:49:00 +0000
committerrhaas <rhaas@091d3ff0-52bc-4db5-b7a6-18201e4c0cca>2014-02-12 23:49:00 +0000
commit747e14e8002d8166e98469f02865941c86a50c8d (patch)
tree1527d24afd0d10505361ff933a1ae15a2ed7818b
parenta25679717938fadfb0fdf3546f6bcc1bcead7326 (diff)
report missing PATCH or TAR
git-svn-id: http://svn.cactuscode.org/projects/ExternalLibraries/OpenSSL/trunk@59 091d3ff0-52bc-4db5-b7a6-18201e4c0cca
-rw-r--r--configure.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/configure.sh b/configure.sh
index c1e6ec1..46f3c11 100644
--- a/configure.sh
+++ b/configure.sh
@@ -77,6 +77,23 @@ then
echo "Using bundled OpenSSL..."
echo "END MESSAGE"
+ # check for required tools. Do this here so that we don't require them when
+ # using the system library
+ if [ x$TAR = x ] ; then
+ echo 'BEGIN ERROR'
+ echo 'Could not find tar command. Please make sure that (gnu) tar is present'
+ echo 'and that the TAR variable is set to its location.'
+ echo 'END ERROR'
+ exit 1
+ fi
+ if [ x$PATCH = x ] ; then
+ echo 'BEGIN ERROR'
+ echo 'Could not find patch command. Please make sure that (gnu) tar is present'
+ echo 'and that the PATCH variable is set to its location.'
+ echo 'END ERROR'
+ exit 1
+ fi
+
# Set locations
THORN=OpenSSL
NAME=openssl-1.0.1f